
QGIS Application - Bug report #19447

QGIS 3.0.3 froze when deleting a section from a report

2018-07-19 04:48 PM - Christoph Aberle

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 Pro 1709 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27275

Description

I did the following:

    -  opened the layout manager

    -  duplicated an existing report, assigning a new name

    -  manually deleted a layout section (by activating it and clicking the red "delete" symbol; see screenshot attached).

When trying to highlight another section to delete it, QGIS froze without further notice. No Crash ID was provided, I had to kill it using the

WIN task manager

Tried this three times, always the same issue.

Haven't tried it with version 3.2 yet, gonna do so soon.

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Associated revisions

Revision 6e2e0732 - 2018-08-13 03:09 AM - Nyall Dawson

[layouts] Fix crash on report section delete

Fixes #19447

Revision 802f7f50 - 2018-08-14 02:12 AM - Nyall Dawson

[layouts] Fix crash on report section delete

Fixes #19447

(cherry-picked from 6e2e0732)

History

#1 - 2018-07-20 04:58 AM - Nyall Dawson

- Status changed from Open to Feedback
I can't reproduce - could you share your project?

#2 - 2018-08-10 11:42 PM - Christoph Aberle

- Assignee set to Nyall Dawson

- File 20180810_MobileInclusion_QGIS_bug.zip added

Thx for your reply!

Pls find a simplified version of my project attached. I replicated the issue in QGIS 3.2.1.

(The background is geospatial research on transport and social exclusion. Feel welcome to have a look at our webpage)

Regarding the nitty-gritty details of the crash:

Apparently, it was not the deletion of one section in the layout manager that made QGIS freeze. The problem seemed to appear when clicking "edit" to

enter the next section (after having selected it by clicking).

(Furthermore, the problem might have to do with the speed of doing these things. When I waited 10 seconds between selecting a section and hitting "edit",

I could delete and edit it as well as several other sections w/o any further ado. Maybe the underlying scripts just hadn't kept up to my pace at the first

attempt.)

Edit: This assumption is probably wrong. I just tried again. When waiting 30 seconds in-between, QGIS froze again.

My workaround: Delete a section, save report, close layout, open layout again, delete next section, save report, close layout, repeat. In one attempt, I

got a crash report, see below.

Hope that helps. 

Cheers

/Christoph

NB: I'm out of office and won't be able to reply until mid-September.

Crash report:

Crash ID: 6dcadbd370d250c875d01133951549087247f710

Stack Trace

QGraphicsItemPrivate::removeExtraItemCache :

QGraphicsItem::~QGraphicsItem :

operatorQgsLayoutView::setCurrentLayout :

QgsRasterCalcDialog::numberOfColumns :

QgisApp::activate :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: 1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#3 - 2018-08-12 01:53 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee deleted (Nyall Dawson)

- Category changed from Unknown to Map Composer/Printing

#4 - 2018-08-13 03:08 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|6e2e0732f51b7b32c5584fbcaaf4f91e3c6a0f85.

#5 - 2018-08-13 10:36 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

20180719 QGIS freeze.PNG 247 KB 2018-07-19 Christoph Aberle

20180810_MobileInclusion_QGIS_bug.zip 1.47 MB 2018-08-10 Christoph Aberle
